Subject: bug#64101: 29.0.91; Eglot inlay hints rendered out of order

From: João Távora <[email-masked]>
Date: Sat, 17 Jun 2023 15:29:38 +0100

On Sat, Jun 17, 2023 at 3:12 PM Eli Zaretskii <[email-masked]> wrote:

> > IMO, unexpected behaviour doesn't have to go against actual documented
> > behaviour to be considered a bug.  However if you know that this
> > indefinition exists and you want it to enshrine it (say, for some performance
> > reason) then I believe this should be documented.
>
> What order did your code expect in that case?

The current order that I see on all my GNU Linux builds of Emacs (and also
my Windows builds, I'm fairly certain).  The after-string and before-string
of a a more recently created overlay is displayed after the least
recently created overlay, all other overlay things being equal,
of course.

> > > > In any case, one defensive option is to push the patch I showed to Emacs
> > > > 29.  Subject, of course, to testing on at least some machine where the
> > > > problem does indeed happen.
> > >
> > > Yes, let's wait for the confirmation that it fixes the problem.
> >
> > I think it has already been tested successfully.
>
> Yes, so I think the fix should be installed.

Done.

João